petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatLMVMSetHistorySize

Set the number of past iterates to be stored for the construction of the limited-memory QN update.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSetHistorySize(Mat B, PetscInt hist_size)

### Input Parameters

| B | - An LMVM-type matrix
| hist_size | - number of past iterates (default 5)

### Options Database

-mat_lmvm_hist_size <m> -

### See Also

MatLMVMGetUpdateCount()

### Level

beginner

### Location

src/ksp/ksp/utils/lmvm/lmvmutils.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages